// creator  : weidu.exe (version 23100)
// argument : SHOP3.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SHOP3~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #15911 /* ~Aha!  Maheer thinks you are just the sort of customer he was waiting for.  Perhaps you are interested in weaponry?  Maheer thinks you are.~ */
  IF ~!InParty("Minsc")
~ THEN REPLY #15913 /* ~I take it that you are Maheer?~ */ GOTO 2
  IF ~InParty("Minsc")
~ THEN REPLY #15927 /* ~I take it that you are Maheer?~ */ GOTO 3
  IF ~~ THEN REPLY #15915 /* ~I am interested in purchasing weaponry, yes.  What do you have available?~ */ GOTO 4
  IF ~~ THEN REPLY #15916 /* ~No, I'm not interested.  Excuse me.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 7.1 4.1 2.2 0.3
  SAY #15919 /* ~Ah well, it is Maheer's loss.  When you wish to seek out finely crafted tools of war, come to me again.  Maheer bids farewell, for now.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #15926 /* ~Indeed I am!  Maheer yn Kadar el Saddith, most recently of Rashemen.  You'll not find a better proprietor of quality weaponry throughout all of Athkatla!~ */
  IF ~~ THEN REPLY #15952 /* ~What sorts of weaponry do you have?~ */ GOTO 4
  IF ~~ THEN REPLY #15953 /* ~All right, all right, let me see your stock.~ */ GOTO 5
  IF ~~ THEN REPLY #15958 /* ~I'm not interested.~ */ GOTO 1
END

IF ~~ THEN BEGIN 3 // from: 0.1
  SAY #15928 /* ~Indeed I am!  Maheer yn Kadar el Saddith, most recently of Rashemen, at your service!~ */
  IF ~~ THEN EXTERN ~MINSCJ~ 38
END

IF ~~ THEN BEGIN 4 // from: 2.0 0.2
  SAY #15943 /* ~Ahhh, Maheer has all kinds to offer... scimitars, swords, even iron weapons from the Storm Horn Mountains!   Look at my wares for yourself!~ */
  IF ~~ THEN REPLY #15949 /* ~Very well, let's see what you have.~ */ GOTO 5
  IF ~~ THEN REPLY #15950 /* ~No thanks, I'm not interested.~ */ GOTO 1
END

IF ~~ THEN BEGIN 5 // from: 8.0 7.0 4.0 2.1
  SAY #15951 /* ~Most excellent!  Examine my wares to your heart's content, casadhi, and I'm sure you will find nothing to displease you!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #15961 /* ~Aha!  Boo is your witch, then, I take it?~ */
  IF ~~ THEN EXTERN ~MINSCJ~ 39
END

IF ~~ THEN BEGIN 7 // from:
  SAY #15962 /* ~Oh... I, I see.  I -- where was I?  Ah, yes, my <LADYLORD>!  You are, uh, still interested in examining my wares, yes?~ */
  IF ~~ THEN REPLY #15963 /* ~Yes, show me what you have.~ */ GOTO 5
  IF ~~ THEN REPLY #15983 /* ~No thank you.~ */ GOTO 1
END

IF ~True()
~ THEN BEGIN 8 // from:
  SAY #15984 /* ~Maheer welcomes you to his shop once again!  You are interested in perusing his stock of weaponcraft, yes?~ */
  IF ~~ THEN REPLY #15985 /* ~Yes, let me see what you have.~ */ GOTO 5
  IF ~~ THEN REPLY #15987 /* ~No, I'll be going now.~ */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.1
  SAY #15989 /* ~It saddens Maheer to see such a fine and clever <LADYLORD> such as yourself to depart.  Until the next time, then, casadhi.~ */
  IF ~~ THEN EXIT
END
